<link href="../modules/addons/manage_license/templates/css/toastr.css" rel="stylesheet">

{foreach from=$inputs item=input}
    <div>
        <form action="" method="post">
            {if ($input['fieldType'] === 'label')}
                <label for="{$input['action_name']}">{$input['description']}</label>
            {elseif ($input['fieldType'] === 'input')}
                <label for="{$input['action_name']}">{$input['description']}</label>
                <input type="{$input['type']}" name="{$input['name']}" placeholder="{$input['placeholder']}">
            {/if}
            <br>
            <input type="hidden" name="order_id" value="{$order_id}">
            <input type="hidden" name="action_name" value="{$input['action_name']}">
            <button type="button" class="btn btn-success" onclick="submitForm(this)">submit</button>
        </form>
    </div>
    <br>
{/foreach}

<script src="../modules/addons/manage_license/templates/js/toastr.js"></script>

<script type="text/javascript">
    function loadingSppinerNotify(selector = null, show = true) {

        let loading = `<i class="fa-spin fa-spinner fas" style="margin: 0 5px"></i>`
        show ?
            $(selector).append(loading) :
            $(selector).find('i.fa-spinner').remove()

        show ?
            $(selector).attr('disabled', 'disabled') :
            $(selector).removeAttr('disabled')
    }

    function loadingSppinerNotifyForTable(selector = null, show = true) {

        let loading =
            `<tr><td colspan="7" class='text-center text-primary'><i class="fa-spin fa-spinner fas fa-2x" style="margin: 0 5px; padding-top:1rem!important;padding-bottom:1rem!important;"></i></td></tr>`
        show ?
            $(selector).append(loading) :
            $(selector).find('i.fa-spinner').remove()

        show ?
            $(selector).attr('disabled', 'disabled') :
            $(selector).removeAttr('disabled')
    }

    function submitForm(item) {
        loadingSppinerNotify(item)
        $.ajax({
            url: "addonmodules.php?module=manage_license&action=customAction",
            data: jQuery(item).parent().serialize(),
            success: function(result) {
                console.log(result);
                var data = JSON.parse(result.responseText)
                toastr.success(data.message);
                loadingSppinerNotify(item, false)
            },
            error: function(result) {
                var data = JSON.parse(result.responseText)
                toastr.error(data.message);
                loadingSppinerNotify(item, false)
            }
        });
    }
</script>