{if isset($error)}
    <div class="alert alert-danger">
        <p>We Have Some Problems In Show Data</p>
        <p>Error Message: {$error['message']}</p>
        <p>Error Code: {$error['code']}</p>
    </div>
{/if}
<div style="float:left;width:100%;">
    <h1>License Manager</h1>
    <style>
        .contentarea>div>h1 {
            display: none;
        }

        .label-set-width {
            display: inline-block;
            padding: 5px;
            font-size: 12px;
            min-width: 135px;
            text-transform: capitalize;
        }
    </style>

    <nav class="navbar navbar-default">
        <div class="container-fluid">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                    data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="addonmodules.php?module=manage_license">Reseller Licenses Manager</a>
            </div>
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li class="active">
                        <a href="#" onclick="addActiveClassInNavbar(this),changePage('addProduct')">add license</a>
                    </li>
                    <li>
                        <a href="#" onclick="addActiveClassInNavbar(this),changePage('addSsl')">add ssl</a>
                    </li>
                    {* <li>
                        <a href="#" onclick="addActiveClassInNavbar(this),changePage('transactions')">transactions</a>
                    </li>
                    <li>
                        <a href="#" onclick="addActiveClassInNavbar(this),changePage('orders')">orders</a>
                    </li>
                    <li>
                        <a href="#" onclick="addActiveClassInNavbar(this),changePage('Settings')">Settings</a>
                    </li> *}
                </ul>
            </div>
        </div>
    </nav>
    <link href="../modules/addons/manage_license/templates/css/custom.css" rel="stylesheet">
    <link href="../modules/addons/manage_license/templates/css/toastr.css" rel="stylesheet">
    <div id="tblLicenses_wrapper" class="dataTables_wrapper form-inline dt-bootstrap no-footer">
        <div id="tblLicensesContainer" class="listtable">
            <div id="tblLicensesSearchfirst" class="row">
                <div id="tblSearchButtons" class="col-sm-6">
                    <div class="btn-group radio-filters">
                        {assign var=val value=0}
                        {foreach from=$allGroupsProduct key=k item=v}
                            <div for="radioNone{$val}" class="btn btn-default" role="button"
                                onclick=" addActiveClass({$val}); showProducts('{$k}');">
                                <input type="radio" id="radioNone{$val}" name="search_filter">
                                <span>{$k}</span>
                            </div>
                            {assign var=val value=$val+1}
                        {/foreach}
                    </div>
                </div>
            </div>
            <div id="tblLicensesDiv">
                <table id="tblLicenses" class="table table-themed-2 display data-driven dataTable no-footer dtr-inline"
                    style="width: 100%;">
                    <thead>
                        <tr role="row">
                            <th class="text-center license-key details-control desktop tablet-l tablet-p mobile-l mobile-p sorting"
                                tabindex="0" aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 280px;"
                                aria-label="product name: activate to sort column ascending">name</th>
                            <th class="text-center license-domain details-control desktop sorting_desc" tabindex="0"
                                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 201px;"
                                aria-label="Domain: activate to sort column ascending">profit percentage</th>
                            <th class="text-center license-type details-control desktop sorting" tabindex="0"
                                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 170px;"
                                aria-label="whmcs group: activate to sort column ascending">group</th>
                            <th class="license-limit details-control desktop text-center sorting" tabindex="0"
                                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 170px;"
                                aria-label="Client Limit: activate to sort column ascending">product status</th>
                            <th class=" text-center license-client details-control desktop sorting" tabindex="0"
                                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 75px;"
                                aria-label="Client: activate to sort column ascending">addon</th>
                            <th class="text-center license-ip details-control desktop sorting" tabindex="0"
                                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 75px;"
                                aria-label="IP Address: activate to sort column ascending">round by</th>
                            <th class="license-buttons details-control desktop tablet-l text-center sorting_disabled"
                                tabindex="0" aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 75px;"
                                aria-label="Available Actions">add</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>

    <script src="../modules/addons/manage_license/templates/js/toastr.js"></script>

    <script type="text/javascript">
        jQuery(document).ready(function() {
            jQuery('#tblLicenses > tbody').remove();
            loadingSppinerNotifyForTable(jQuery('#tblLicenses'))
            jQuery('#tblSearchButtons > div > div:first').click()
        })

        function loadingSppinerNotify(selector = null, show = true) {

            let loading = `<i class="fa-spin fa-spinner fas" style="margin: 0 5px"></i>`
            show ?
                $(selector).append(loading) :
                $(selector).find('i.fa-spinner').remove()

            show ?
                $(selector).attr('disabled', 'disabled') :
                $(selector).removeAttr('disabled')
        }

        function loadingSppinerNotifyForTable(selector = null, show = true) {

            let loading =
                `<tr><td colspan="7" class='text-center text-primary'><i class="fa-spin fa-spinner fas fa-2x" style="margin: 0 5px; padding-top:1rem!important;padding-bottom:1rem!important;"></i></td></tr>`
            show ?
                $(selector).append(loading) :
                $(selector).find('i.fa-spinner').remove()

            show ?
                $(selector).attr('disabled', 'disabled') :
                $(selector).removeAttr('disabled')
        }

        function setActiveClass(element) {
            element.siblings().removeClass('active');
            element.addClass('active');
        }

        function addActiveClass(id) {
            var label = $('#radioNone' + id).parent();
            setActiveClass(label);
        }

        function showProducts(groupName) {
            var table = jQuery('#tblLicensesDiv > table > tbody').html();
            jQuery('#tblLicensesDiv > table > tbody').remove();
            loadingSppinerNotifyForTable(jQuery('#tblLicensesDiv > table'));
            $.ajax({
                url: "addonmodules.php?module=manage_license&action=getProductsForAjax&groupName=" +
                    groupName,
                success: function(result) {
                    var html = JSON.parse(result);
                    loadingSppinerNotifyForTable(jQuery('#tblLicensesDiv > table'), false)
                    jQuery('#tblLicensesDiv').html(html.data)

                },
                error: function(result) {
                    var data = JSON.parse(result.responseText)
                    toastr.error(data.message);
                    loadingSppinerNotifyForTable(jQuery('#tblLicensesDiv > table'), false)
                    jQuery('#tblLicensesDiv > table > tbody').html(table)
                }
            });
        }

        function disableGroup(productCode) {
            var selectBox = jQuery('#isAddon' + productCode).parent().siblings().find('select')
            if (jQuery('#isAddon' + productCode).val() != 'on') {
                jQuery('#isAddon' + productCode).val('on')
                selectBox.attr('disabled', 'disabled')
            } else {
                jQuery('#isAddon' + productCode).val('')
                selectBox.removeAttr('disabled')
            }
        }

        function submitFormBtn(productCode, btn) {
            loadingSppinerNotify(jQuery(btn))
            var siblings = jQuery('#submitFormBtn' + productCode).parent().siblings();
            var inputs = siblings.find('input').serialize();
            var selectBox = siblings.find('select').serialize()
            $.ajax({
                url: "addonmodules.php?module=manage_license&action=addProduct",
                data: selectBox + '&' + inputs,
                success: function(result) {
                    toastr.success('The product has been added.', 'Success');
                    jQuery('#productStatus' + productCode).removeClass('label-danger').addClass(
                        'label-success').html(
                        '<i class="far fa-fw fa-check" aria-hidden="true"></i> added')
                    loadingSppinerNotify(jQuery(btn), false)
                },
                error: function(result) {
                    var data = JSON.parse(result.responseText)
                    toastr.error(data.message);
                    loadingSppinerNotify(jQuery(btn), false)
                }
            });
        }

        function reInstallModule(btn) {
            loadingSppinerNotify(jQuery(btn))
            var moduleName = jQuery('#tblSearchButtons > div > div.active > span').html();
            $.ajax({
                url: "addonmodules.php?module=manage_license&action=reInstallModule&moduleName=" + moduleName,
                success: function(result) {
                    toastr.success('your module has been reinstalled.', 'Success');
                    loadingSppinerNotify(jQuery(btn), false)
                    jQuery(btn).html('installed <i class="far fa-fw fa-check" aria-hidden="true"></i>')
                        .removeClass('btn-info').addClass('btn-success').attr('disabled', 'disabled')
                },
                error: function(result) {
                    var data = JSON.parse(result.responseText)
                    toastr.error(data.message);
                    loadingSppinerNotify(jQuery(btn), false)
                }
            });
        }

        function changePage(action) {
            var html = jQuery('#tblLicenses_wrapper').html();
            jQuery('#tblLicenses_wrapper').html(' ');
            loadingSppinerNotifyForTable(jQuery('#tblLicenses_wrapper'));
            $.ajax({
                url: "addonmodules.php?module=manage_license&action=changePage&value=" + action,
                success: function(result) {
                    loadingSppinerNotifyForTable(jQuery('#tblLicenses_wrapper'), false)
                    var html = JSON.parse(result);
                    jQuery('#tblLicenses_wrapper').html(html.data)
                },
                error: function(result) {
                    var data = JSON.parse(result.responseText)
                    toastr.error(data.message);
                    loadingSppinerNotifyForTable(jQuery('#tblLicenses_wrapper'), false)
                    // jQuery('#tblLicenses_wrapper').html(html)
                }
            });
        }

        function addActiveClassInNavbar(params) {
            jQuery(params).parent().siblings().removeClass('active')
            jQuery(params).parent().addClass('active')
        }

        function showProductInfo(productCode, btn) {
            console.log(productCode);
            console.log(btn);
        }
    </script>
</div>