<table id="tblorder" class="table table-themed-2 display data-driven dataTable no-footer dtr-inline"
    style="width: 100%;">
    <thead>
        <tr role="row">
            <th class="license-key details-control desktop tablet-l tablet-p mobile-l mobile-p sorting" tabindex="0"
                aria-controls="tblorder" rowspan="1" colspan="1" style="width: 100px;"
                aria-label="product name: activate to sort column ascending">#
            </th>
            <th class="text-center license-type details-control desktop sorting" tabindex="0" aria-controls="tblorder"
                rowspan="1" colspan="1" style="width: 170px;"
                aria-label="whmcs group: activate to sort column ascending">owner
            </th>
            <th class="text-center license-client details-control desktop sorting" tabindex="0" aria-controls="tblorder"
                rowspan="1" colspan="1" style="width: 270px;" aria-label="Client: activate to sort column ascending">
                title
            </th>
            <th class="text-center license-domain details-control desktop sorting_desc" tabindex="0"
                aria-controls="tblorder" rowspan="1" colspan="1" style="width: 101px;"
                aria-label="Domain: activate to sort column ascending">status
            </th>
            <th class="text-center license-ip details-control desktop sorting" tabindex="0" aria-controls="tblorder"
                rowspan="1" colspan="1" style="width: 225px;"
                aria-label="IP Address: activate to sort column ascending">invoice due date
            </th>
            <th class="text-center license-limit details-control desktop text-center sorting" tabindex="0"
                aria-controls="tblorder" rowspan="1" colspan="1" style="width: 170px;"
                aria-label="Client Limit: activate to sort column ascending">days to expire
            </th>
            <th class="text-center license-buttons details-control desktop tablet-l text-center sorting_disabled"
                tabindex="0" aria-controls="tblorder" rowspan="1" colspan="1" style="width: 170px;"
                aria-label="Available Actions">auto renew
            </th>
            <th class="text-center license-buttons details-control desktop tablet-l text-center sorting_disabled"
                tabindex="0" aria-controls="tblorder" rowspan="1" colspan="1" style="width: 170px;"
                aria-label="Available Actions">unique code
            </th>
            <th class="text-center license-buttons details-control desktop tablet-l text-center sorting_disabled"
                tabindex="0" aria-controls="tblorder" rowspan="1" colspan="1" style="width: 170px;"
                aria-label="Available Actions">auto terminate date
            </th>
            <th class="text-center license-buttons details-control desktop tablet-l text-center sorting_disabled"
                tabindex="0" aria-controls="tblorder" rowspan="1" colspan="1" style="width: 170px;"
                aria-label="Available Actions">
                auto terminate mode
            </th>
        </tr>
    </thead>
    <tbody>
        {foreach from=$value item=order}
            <tr class="unassigned odd" role="row">
                <td class=" license-key details-control desktop tablet-l tablet-p mobile-l mobile-p" tabindex="0">
                    {if !is_null($order['order_id'])}
                        <a href="../modules/addons/manage_license/templates/getSchema.tpl" target="_blank">
                            <a href="addonmodules.php?module=manage_license&action=showGetSchema&order_id={$order['order_id']}"
                                target="_blank">
                                {$order['order_id']}
                            </a>
                        {else}
                            null
                        {/if}
                </td>
                <td class="text-center license-type details-control desktop">
                    {if !is_null($order['owner'])}
                        {$order['owner']}
                    {else}
                        null
                    {/if}
                </td>
                <td class="text-center license-client details-control desktop">
                    {if !is_null($order['title'])}
                        {$order['title']}
                    {else}
                        null
                    {/if}
                </td>
                <td class="text-center license-domain details-control desktop sorting_2">
                    {if ($order['status'] === 'active')}
                        <span class="label label-success label-set-width">
                            {$order['status']}
                        </span>
                    {elseif ($order['status'] === 'pendingRegister')}
                        <span class="label label-warning label-set-width">
                            {$order['status']}
                        </span>
                    {else}
                        <span class="label label-danger label-set-width">
                            {$order['status']}
                        </span>
                    {/if}
                </td>
                <td class="text-center license-ip details-control desktop">
                    {if !is_null($order['invoice_due_date'])}
                        {$order['invoice_due_date']}
                    {else}
                        null
                    {/if}
                </td>
                <td class="text-center license-limit details-control desktop text-center">
                    {if !is_null($order['days_to_expire'])}
                        {$order['days_to_expire']}
                    {else}
                        null
                    {/if}
                </td>
                <td class="text-center license-buttons details-control desktop tablet-l text-center">
                    {if ($order['auto_renew'] === true)}
                        <i class="far fa-fw fa-check text-success text-md" aria-hidden="true"></i>
                    {else}
                        <i class="far fa-fw fa-times text-danger text-md" aria-hidden="true"></i>
                    {/if}
                </td>
                <td class="text-center license-buttons details-control desktop tablet-l text-center">
                    {if !is_null($order['license_id'])}
                        {$order['license_id']}
                    {else}
                        null
                    {/if}
                </td>
                <td class="text-center license-buttons details-control desktop tablet-l text-center">
                    {if !is_null($order['auto_terminate_date'])}
                        {$order['auto_terminate_date']}
                    {else}
                        <i class="far fa-fw fa-times text-danger text-md" aria-hidden="true"></i>
                    {/if}
                </td>
                <td class="text-center license-buttons details-control desktop tablet-l text-center">
                    {if !is_null($order['auto_terminate_mode'])}
                        {$order['auto_terminate_mode']}
                    {else}
                        <i class="far fa-fw fa-times text-danger text-md" aria-hidden="true"></i>
                    {/if}
                </td>
            </tr>
            <tr class="collapse" id="collapseExample{$order['order_id']}" role="row" style="background-color: aliceblue;">
                <td></td>
            </tr>
        {/foreach}
    </tbody>
</table>