<table id="tblLicenses" class="table table-themed-2 display data-driven dataTable no-footer dtr-inline"
    style="width: 100%;">
    <thead>
        <tr role="row">
            <th class="license-key details-control desktop tablet-l tablet-p mobile-l mobile-p sorting text-center"
                tabindex="0" aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 280px;"
                aria-label="product name: activate to sort column ascending">name
            </th>
            <th class="license-domain details-control desktop sorting_desc text-center" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 201px;"
                aria-label="Domain: activate to sort column ascending">
                profit percentage
            </th>
            <th class="license-type details-control desktop sorting text-center" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 170px;"
                aria-label="whmcs group: activate to sort column ascending">group
            </th>
            <th class="license-limit details-control desktop text-center sorting" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 170px;"
                aria-label="Client Limit: activate to sort column ascending">product status
            </th>
            <th class="license-client details-control desktop sorting text-center" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 75px;"
                aria-label="Client: activate to sort column ascending">addon
            </th>
            <th class="license-ip details-control desktop sorting text-center" tabindex="0" aria-controls="tblLicenses"
                rowspan="1" colspan="1" style="width: 75px;" aria-label="IP Address: activate to sort column ascending">
                round by

            </th>
            <th class="license-buttons details-control desktop tablet-l text-center sorting_disabled" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 75px;" aria-label="Available Actions">
                add
            </th>
        </tr>
    </thead>
    <tbody>
        {foreach from=$products key=k item=v}
            <tr class="unassigned odd" role="row">
                <td class=" license-key details-control desktop tablet-l tablet-p mobile-l mobile-p" tabindex="0">
                    <span>{$v['name']}</span>
                    <input type="hidden" name="productCode" value="{$k}">
                    <input type="hidden" name="productName" value="{$v['name']}">
                    <input type="hidden" name="servertype" value="{$servertype}">
                    <input type="hidden" name="description" value="{$v['description']}">
                </td>
                <td class="license-domain details-control desktop sorting_2 text-center">
                    <input type="number" name="profitPercentage" class="col-md-12" value="10">
                </td>

                <td class=" license-type details-control desktop text-center">
                    {if (!empty($addonsProducts) && in_array($k, $addonsProducts))}
                        <select name="gid" class="col-md-12 text-center" disabled>
                            {foreach from=$whmcs_groups item=group}
                                <option value="{$group->id}">{$group->name}</option>
                            {/foreach}
                        </select>
                    {else}
                        <select name="gid" class="col-md-12 text-center">
                            {foreach from=$whmcs_groups item=group}
                                <option value="{$group->id}" {if $group->id == 21} selected {/if}>{$group->name}</option>
                            {/foreach}
                        </select>
                    {/if}
                </td>
                <td class=" license-limit details-control desktop text-center">
                    <span class="hidden">1</span>
                    {if (!empty($addedProducts) && in_array($k, $addedProducts))}
                        <span class="label label-success label-set-width" id="productStatus{$k}">
                            <i class="far fa-fw fa-check" aria-hidden="true"></i> added
                        </span>
                    {else}
                        <span class="label label-danger label-set-width" id="productStatus{$k}">
                            <i class="far fa-fw fa-times" aria-hidden="true"></i> not added
                        </span>
                    {/if}
                </td>
                <td class=" license-client details-control desktop text-center">
                    {if (!empty($addonsProducts) && in_array($k, $addonsProducts))}
                        <input type="checkbox" name="isAddon" onclick="disableGroup('{$k}')" id="isAddon{$k}" value="on"
                            checked>
                    {else}
                        <input type="checkbox" name="isAddon" onclick="disableGroup('{$k}')" id="isAddon{$k}" value="">
                    {/if}
                </td>
                <td class=" license-ip details-control desktop text-center">
                    <select name="roundBy">
                        <option value="100000">0</option>
                        <option value="0" selected>1</option>
                        <option value="1">10</option>
                    </select>
                </td>
                <td class=" license-buttons details-control desktop tablet-l text-center">
                    <button type="submit" class="btn btn-link" onclick="submitFormBtn('{$k}', this)" id="submitFormBtn{$k}">
                        <i class="fas fa-plus"></i>
                    </button>
                    <button type="button" class="btn btn-link">
                        <a href="addonmodules.php?module=manage_license&action=showProductInfo&productCode={$k}"
                            target="_blank"><i class="fa fa-info"></i></a>
                    </button>
                </td>
            </tr>
        {/foreach}
    </tbody>
</table>

{if ($path)}
    <span class="label label-success label-set-width margin-top-bottom-20">
        <i class="far fa-fw fa-check" aria-hidden="true"></i> module installed
    </span>
{else}
    <br>
    <span class="alert alert-update-banner-warning">Your module not installed. Click on button to install</span>
    <br>
    <br>
    <button type="submit" class="btn btn-info btn-toolbar margin-top-bottom-20" onclick="reInstallModule(this)">
        install module
    </button>
{/if}