<table id="tblCurrency" class="table table-themed-2 display data-driven dataTable no-footer dtr-inline"
    style="width: 100%;">
    <caption>Currency Info</caption>
    <thead>
        <tr role="row">
            <th class="license-key details-control desktop tablet-l tablet-p mobile-l mobile-p sorting text-center"
                tabindex="0" aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 80px;"
                aria-label="product name: activate to sort column ascending">ISO
            </th>
            <th class="license-domain details-control desktop sorting_desc text-center" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 201px;"
                aria-label="Domain: activate to sort column ascending">
                Symbol
            </th>
            <th class="license-type details-control desktop sorting text-center" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 170px;"
                aria-label="whmcs group: activate to sort column ascending">Symbol Native
            </th>
            {if isset($currency['currencyRate'])}
                <th class="license-type details-control desktop sorting text-center" tabindex="0"
                    aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 170px;"
                    aria-label="whmcs group: activate to sort column ascending">Rate
                </th>
            {/if}
        </tr>
    </thead>
    <tbody>
        <tr class="unassigned odd" role="row">
            <td class=" license-key details-control desktop tablet-l tablet-p mobile-l text-center mobile-p"
                tabindex="0">
                <span>{$currency['iso']}</span>
            </td>
            <td class="license-domain details-control desktop sorting_2 text-center">
                <span>{$currency['symbol']}</span>
            </td>

            <td class=" license-type details-control desktop text-center">
                <span>{$currency['symbolNative']}</span>
            </td>
            {if isset($currency['currencyRate'])}
                <td class=" license-type details-control desktop text-center">
                    <span>{$currency['currencyRate']}</span>
                </td>
            {/if}
        </tr>
    </tbody>
</table>

<table id="tblssl" class="table table-themed-2 display data-driven dataTable no-footer dtr-inline" style="width: 100%;">
    <caption>Product Info</caption>
    <thead>
        <tr role="row">
            <th class="license-key details-control desktop tablet-l tablet-p mobile-l mobile-p sorting text-center"
                tabindex="0" aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 80px;"
                aria-label="product name: activate to sort column ascending">group_code
            </th>
            <th class="license-domain details-control desktop sorting_desc text-center" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 201px;"
                aria-label="Domain: activate to sort column ascending">
                code
            </th>
            <th class="license-type details-control desktop sorting text-center" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 170px;"
                aria-label="whmcs group: activate to sort column ascending">name
            </th>
            <th class="license-type details-control desktop sorting text-center" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 170px;"
                aria-label="whmcs group: activate to sort column ascending">description
            </th>
            {foreach from=$product['prices'] item=price key=key name=name}
                <th class="license-limit details-control desktop text-center sorting" tabindex="0"
                    aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 170px;"
                    aria-label="Client Limit: activate to sort column ascending">{$key} price
                </th>
                <th class="license-client details-control desktop sorting text-center" tabindex="0"
                    aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 75px;"
                    aria-label="Client: activate to sort column ascending">{$key} setup
                </th>
            {/foreach}
        </tr>
    </thead>
    <tbody>
        <tr class="unassigned odd" role="row">
            <td class=" license-key details-control desktop tablet-l tablet-p mobile-l text-center mobile-p"
                tabindex="0">
                <span>{$product['group_code']}</span>
            </td>
            <td class="license-domain details-control desktop sorting_2 text-center">
                <span>{$product['code']}</span>
            </td>

            <td class=" license-type details-control desktop text-center">
                <span>{$product['name']}</span>
            </td>
            <td class=" license-type details-control desktop text-center">
                <span>{$product['description']}</span>
            </td>
            {foreach from=$product['prices'] item=price key=key name=name}
                <td class=" license-limit details-control desktop text-center">
                    <span>{$price['price']}</span>
                </td>
                <td class=" license-limit details-control desktop text-center">
                    <span>{$price['setup']}</span>
                </td>
            {/foreach}
        </tr>
    </tbody>
</table>

<table id="tblgOptions" class="table table-themed-2 display data-driven dataTable no-footer dtr-inline"
    style="width: 100%;">
    <caption>Group Option Info</caption>
    <thead>
        <tr role="row">
            <th class="license-key details-control desktop tablet-l tablet-p mobile-l mobile-p sorting text-center"
                tabindex="0" aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 80px;"
                aria-label="product name: activate to sort column ascending">id
            </th>
            <th class="license-domain details-control desktop sorting_desc text-center" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 201px;"
                aria-label="Domain: activate to sort column ascending">
                title
            </th>
            <th class="license-limit details-control desktop text-center sorting" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 170px;"
                aria-label="Client Limit: activate to sort column ascending"> description
            </th>
            <th class="license-type details-control desktop sorting text-center" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 170px;"
                aria-label="whmcs group: activate to sort column ascending">type
            </th>
            <th class="license-client details-control desktop sorting text-center" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 75px;"
                aria-label="Client: activate to sort column ascending"> required
            </th>
            <th class="license-client details-control desktop sorting text-center" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 75px;"
                aria-label="Client: activate to sort column ascending"> min
            </th>
            <th class="license-client details-control desktop sorting text-center" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 75px;"
                aria-label="Client: activate to sort column ascending"> max
            </th>
            <th class="license-client details-control desktop sorting text-center" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 75px;"
                aria-label="Client: activate to sort column ascending"> step
            </th>
        </tr>
    </thead>
    <tbody>
        {foreach from=$gOptions item=gOption key=k name=n}
            <tr class="unassigned odd" role="row">
                <td class=" license-key details-control desktop tablet-l tablet-p mobile-l text-center mobile-p"
                    tabindex="0">
                    <span>{$gOption['id']}</span>
                </td>
                <td class="license-domain details-control desktop sorting_2 text-center">
                    <span>{$gOption['title']}</span>
                </td>

                <td class=" license-type details-control desktop text-center">
                    <span>{$gOption['description']}</span>
                </td>

                <td class=" license-limit details-control desktop text-center">
                    <span>{$gOption['type']}</span>
                </td>
                <td class=" license-limit details-control desktop text-center">
                    <span>{$gOption['required']}</span>
                </td>
                <td class=" license-limit details-control desktop text-center">
                    <span>{$gOption['min']}</span>
                </td>
                <td class=" license-limit details-control desktop text-center">
                    <span>{$gOption['max']}</span>
                </td>
                <td class=" license-limit details-control desktop text-center">
                    <span>{$gOption['step']}</span>
                </td>
            </tr>
        {/foreach}
    </tbody>
</table>


<table id="tblOptions" class="table table-themed-2 display data-driven dataTable no-footer dtr-inline"
    style="width: 100%;">
    <caption>Option Info</caption>
    <thead>
        <tr role="row">
            <th class="license-key details-control desktop tablet-l tablet-p mobile-l mobile-p sorting text-center"
                tabindex="0" aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 80px;"
                aria-label="product name: activate to sort column ascending">id
            </th>
            <th class="license-domain details-control desktop sorting_desc text-center" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 201px;"
                aria-label="Domain: activate to sort column ascending">
                title
            </th>
            {foreach from=$gOptions[0]['options'][0]['price'] item=p key=period name=price }
                <th class="license-limit details-control desktop text-center sorting" tabindex="0"
                    aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 170px;"
                    aria-label="Client Limit: activate to sort column ascending">{$period} price
                </th>
                <th class="license-type details-control desktop sorting text-center" tabindex="0"
                    aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 170px;"
                    aria-label="whmcs group: activate to sort column ascending">{$period} setup
                </th>
            {/foreach}
            <th class="license-domain details-control desktop sorting_desc text-center" tabindex="0"
                aria-controls="tblLicenses" rowspan="1" colspan="1" style="width: 201px;"
                aria-label="Domain: activate to sort column ascending">
                group option ID
            </th>
        </tr>
    </thead>
    <tbody>
        {foreach from=$gOptions item=group key=k name=n}
            {foreach from=$group['options'] item=option}
                <tr class="unassigned odd" role="row">
                    <td class=" license-key details-control desktop tablet-l tablet-p mobile-l text-center mobile-p"
                        tabindex="0">
                        <span>{$option['id']}</span>
                    </td>
                    <td class="license-domain details-control desktop sorting_2 text-center">
                        <span>{$option['title']}</span>
                    </td>
                    {foreach from=$option['price'] item=price}
                        <td class=" license-limit details-control desktop text-center">
                            <span>{$price['price']}</span>
                        </td>
                        <td class=" license-limit details-control desktop text-center">
                            <span>{$price['setup']}</span>
                        </td>
                    {/foreach}
                    <td class="license-domain details-control desktop sorting_2 text-center">
                        <span>{$group['id']}</span>
                    </td>
                </tr>
            {/foreach}
        {/foreach}
    </tbody>
</table>






<link href="../modules/addons/manage_license/templates/css/custom.css" rel="stylesheet">